/* -*-c-*- */

#ifndef _IQLVMS_H_
#define _IQLVMS_H_

#ifdef UNDER
#define iqlvms iqlvms_
#endif


#ifdef __cplusplus
extern "C" {
#endif

  /*
	C IQLVMS BERECHNET MIT DEM IMPLIZITEN QL-ALGORITHMUS DIE
	C EIGENWERTE UND EIGENVEKTOREN
	C
	C     BEDEUTUNG DER PARAMETER:
	C
	C       NM      (I) :   VEREINBARTE DIMENSION VON Z
	C       N       (I) :   DIMENSION
	C       D       (I) :   DIAGONALE DER TRIDIAGONALMATRIX
	C               (O) :   EIGENWERTE
	C       E       (I) :   NEBENDIAGONALE DER TRIDIAGONALMATRIX
	C                       (Das erste Element wird ignoriert)
	C       Z       (I) :   EINIGE ZEILEN DER
	C                       TRANSFORMATIONSMATRIX AUF TRIDIAGONALGESTALT
	C                       (Z=[1,0,...0] fr erste Komponente der EVs)
	C               (O) :   EIGENVEKTORKOMPONENTEN DER URSPRUNGSMATRIX
	C       IEV     (I) :   =0: KEINE EV-BERECHNUNG
	C                       =K: JE K EV-KOMPONENTEN ALLER EIGENVEKTOREN
	C       IER     (O) :   FEHLERANZEIGER;
	C                       NUMMER DES EIGENWERTES, BEI DEM DIE MAXIMALE
	C                       ITERATIONSZAHL VON 30 ERREICHT WURDE;
	C                       (IER-1) EIGENWERTE SIND KORREKT
  */
  void iqlvms(int *number, 
			  int *dimension, 
			  double *diag,
			  double *subdiag,
			  double *eigenvectors,
			  int* iev,
			  int* ierr );

#ifdef __cplusplus
}; /* extern "C" */
#endif

#endif
